package com.huatek.busi.service;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import com.huatek.busi.vo.EquipmentTemperatureCacheVo;
import com.huatek.busi.vo.SensiorIdExportVo;

import java.text.ParseException;
import java.util.List;
import java.util.Map;


public interface TransformerNumberService {

    /**
     * 获取外挂设备数量
     *
     *
     */
    int findTransformerNumber() throws  Exception;




    /**
     * 获取 变压器状态
     *
     *
     */
    List<TransformerStatus> findTransformerStatus();

    /**
     * 变压器故障,在线,总数查询
     *
     *
     */
    EquipmentSumNumber findSumTransformerNumber() throws Exception;


    /**
     *
     *查询变压器电流电压
     */
    TransformerIU findTransformerUI(String transformerId);

    /**
     * 查询所有外挂设备并插入cache表中
     */
    List<SensiorIdExportVo> findAllEquipment();

    /**
     * 查询系统中外挂删除设备，并更新cache表
     */
    List<EquipmentTemperatureCache> findEquipmentAndDelete();

    /**
     * 从缓存表中查询在线数和在线率
     * @param mainEquipmentId
     * @return
     */
    List<EquipmentSensorCache> findTransformerSensorNumber(String mainEquipmentId);




    /**
     * 查询所有外挂装置和在线率
     */
    EquipmentSumSensorCache findSumSensorNumber();


    /**
     * 查询变压器总外挂装置和在线率
     */

    EquipmentSumSensorCache findSumTransformerSensorNumber();


    List<EquipmentTemperatureCacheVo> selectSumTransformerSensorInfo(String flag,String type);

    List<TransformerLoadRate> findTransformerLoadRate();

    Map<String, EquipmentSumSensorCache> getAllDeviceSensorNumber();

    Map<String, EquipmentOnlineRateVo> getMajorDeviceSensorNumber();
}
